button.document-type-button {
  background: #D9D9D9;
  border: 1px solid;
  border-radius: 20px;
  width: auto;
}


.table-document md-checkbox .md-container {
  top: auto;
  margin-left: 5px;
}

.go-to-pay span.ng-binding {
  font-size: 20px;
}
button.go-to-pay-button.ng-binding[disabled] {
    cursor: not-allowed;
    pointer-events: none;
}
.filters-document-line-2 .search-button {
  border-radius: 10px;
  height: 42px;
  width: 100px;
  text-align: center;
}

.filters-document-line-2, .filters-document-line-1 {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: space-around;
  gap: 1%;
}

select.input-select-document {
  border: 1px solid #B0B0B0;
  border-radius: 10px;
  height: 42px;
  padding: 0 2% 0 2%;
}

.input-select-document, .input-text-document {
  background: #FFFFFF;
  border: 1px solid #B0B0B0;
  border-radius: 10px;
  height: 42px;
  padding: 0 2% 0 2%;
}

.go-to-pay {
  text-align: center;
  margin-top: 3%;
}

.document-customer-detailes {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
  font-size: 18px;
}

.documentFilter .customer-name {
  font-weight: bold;
}

.document-type {
  text-align: center;
  font-weight: bold;
  font-size: 2rem;
  line-height: 5rem;
}

.cell-in-table .go-to-pay-button {
  height: 34px;
  float: right;
}

.cell-in-table.ng-scope td.ng-binding {
  text-align: right;
}

button.go-to-pay-button.ng-binding {
  cursor: pointer;
}

.color-changed {
  background-color: #5b5959 !important;
  color: white !important;
}

span.title-document {
  font-weight: bold;
}

button.search-button.button-2.all-documents {
  margin: auto;
  display: flex;
  align-items: center;
  border-radius: 10px;
  border: none;
  height: 45px;
  padding: 0 25px;
  border-radius: 3px;
  color: #fff;
  font-weight: 700;
  text-transform: uppercase;
  font-size: 18px;
  transition: all .2s ease;
  margin-top: 2%;
  border-radius: 5px;
}

tr.row-in-document-table {
  height: 40px;
}

@media (min-width: 736px) {
  .filters-document-line-2 {
    margin-top: 2%;
  }

  td.attach-file a:before {
    content: url('../../images/samples/attachment.svg');
  }

  td.attach-file a {
    font-size: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }

  .table-document {
    margin-top: 2%;
  }

    .table-document md-card {
      box-shadow: none;
      background: transparent;
    }

  .cell-in-table md-checkbox {
    float: right;
  }

  .filters-document-line-2 select.input-select-document.ng-pristine.ng-valid.ng-empty.ng-touched, .filters-document-line-2 select.input-select-document.ng-pristine.ng-untouched.ng-valid.ng-empty {
    width: 204px !important;
  }

  .go-to-pay-button {
    border: 1px solid;
    border-radius: 10px;
    font-weight: 600;
    height: 40px;
    text-align: center;
    margin-right: 2%;
    width: 90px;
  }

  tr.ng-scope.cell-in-table {
    height: 48px;
    transition: background-color 0.2s;
    color: rgba(0, 0, 0, 0.87);
    font-size: 13px;
    border-top: 1px rgba(0, 0, 0, 0.12) solid;
  }

  md-table-container th {
    text-align: right !important;
  }

  table.md-table.md-row-select tbody.md-body > tr.md-row:not([disabled]):hover {
    background-color: #eeeeee !important;
  }

  .filters-document-line-2, .filters-document-line-1 {
    justify-content: flex-start;
    flex-direction: row;
  }



  container-document-filter {
    display: block;
  }

  .container-document-filter, .table-document {
    background: #F9F9F9;
    border: 1px solid #D9D9D9;
    padding: 1.5% 3% 1.5% 3%;
    display: block;
  }
}

@media (max-width: 1024px) {
  .container-document-filter {
    position: fixed;
    /*top: 0;*/
    width: 80%;
    height: 100%;
    transition: left 0.3s ease;
    background: white;
    z-index: 2000;
    transform: translateX(0);
    transition: transform 0.3s linear;
    padding: 20px;
  }

  .ui-dialog[aria-describedby="container-document-filter"] {
    top: 20px !important;
  }

  .container-document-filter.open {
    left: 0;
  }

  .close-filter-document, .mobile-filter button {
    width: 100%;
    border-radius: 10px;
    height: 50px;
    border: 0;
    text-align: center;
    font-weight: 500;
    font-size: 20px;
    margin: auto;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
  }

    .mobile-filter button:before {
      content: "\e904";
    }

  .documentFilter .mobile-filter {
    display: flex;
    margin-bottom: 5%;
    width: 95%;
    margin: auto;
    margin-bottom: 5%;
  }

  [aria-describedby="container-document-filter"] .ui-dialog-titlebar button:before {
    color: black;
  }

  tr.cell-in-table {
    padding: 5%;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    height: auto;
    gap: 5px;
    border-radius: 10px;
    border: 1px solid #D9D9D9;
    background: rgba(217, 217, 217, 0.17);
  }

    tr.cell-in-table td {
      font-size: 1em;
    }

  .close-filter-document {
    width: 100%;
    text-align: center;
    line-height: 30px;
  }

  .input-select-document, .input-text-document, select.input-select-document {
    width: 100%;
    margin: 2% 0 2% 0;
  }

  .md-datepicker-calendar-pane {
    z-index: 9999 !important;
  }

  .table-document md-card {
    box-shadow: none;
  }

  .table-document md-content._md.flex {
    background-color: transparent;
  }

  .table-document td.ng-binding {
    border-bottom: 0;
  }

  .go-to-pay {
    text-align: center;
    margin-top: 3%;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    width: 100%;
    left: 0;
    bottom: 0%;
    border: 1px solid #000;
    background: #ffffff;
    box-shadow: 0px 0px 3px 3px rgba(0, 0, 0, 0.25);
  }

  .go-to-pay-button {
    border: 1px solid;
    border-radius: 10px;
    font-weight: 600;
    height: 38px;
    text-align: center;
    margin-right: 2%;
    width: 90px;
    background-color: white;
  }

  .filters-document-line-2, .filters-document-line-1 {
    flex-wrap: wrap;
  }
}


@media (min-width: 1028px) {
  .close-filter-document, .mobile-filter {
    display: none;
  }
}